<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers"
	  data-namespace-typo3-fluid="true">

	<f:section name="Default">

		<f:if condition="{f:count(subject: product.attributesGroupedByCategory)}">
			<div class="{settings.detail.css.class.attributes.wrapper}">
				<f:for each="{product.attributesGroupedByCategory}" as="attributes">
					<f:render partial="Product/Detail/Attributes"
							  section="{attributes.category.template}"
							  arguments="{attributes: attributes}" />
				</f:for>
			</div>
		</f:if>

	</f:section>

	<f:comment><!--
		For each product attribute category we have an own section!
	--></f:comment>

	<f:section name="List">

		<div class="{settings.detail.css.class.attributes.list.wrapperOuter}{attributes.category.template}">
			<div class="{settings.detail.css.class.attributes.list.wrapper}">
				<h3 class="{settings.detail.css.class.attributes.list.title}">{attributes.category.title}</h3>
				<dl class="{settings.detail.css.class.attributes.list.list.wrapper}">
					<f:for each="{attributes.items}" as="attribute">
						<dt class="{settings.detail.css.class.attributes.list.list.label}">{attribute.title}</dt>
						<dd class="{settings.detail.css.class.attributes.list.list.value}">{attribute.value}</dd>
					</f:for>
				</dl>
			</div>
		</div>

	</f:section>

	<f:section name="Link">

		<div class="{settings.detail.css.class.attributes.link.wrapperOuter}{attributes.category.template}">
			<div class="{settings.detail.css.class.attributes.link.wrapper}">
				<h3 class="{settings.detail.css.class.attributes.link.title}">{attributes.category.title}</h3>
				<ul class="{settings.detail.css.class.attributes.link.list.wrapper}">
					<f:for each="{attributes.items}" as="attribute">
						<li class="{settings.detail.css.class.attributes.link.list.item}">
							<a href="{attribute.value}"
							   target="_blank"
							   class="{settings.detail.css.class.attributes.link.list.link}"
							   title="{attribute.title}">{attribute.title}</a>
						</li>
					</f:for>
				</ul>
			</div>
		</div>

	</f:section>
</html>
